Bug 169564 - Configuration tool silently omits lines
Configuration tool silently omits lines
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: 169565 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-09-29 13:57 EDT by bob mckay
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-28 21:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bob mckay 2005-09-29 13:57:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.7 (KHTML, like Gecko) Safari/412.5

Description of problem:
Using system-config-httpd to create an ssl virtual server, I used the previous (fc3) locations for the 
keyfiles. This resulted in silent failure, with the relevant lines being omitted from the httpd.conf file, but 
no error message being generated. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create an ip virtual server, set ssl on
2.create keys in the locations used for fc3
3.enter the locations in the key location dialogue boxes

Actual Results:  Tool closed normally and appeared to save, but created a crippled httpd.conf with many lines missing 
from the virtual server (all key configuration lines missing)

Expected Results:  The tool should give an error message that the locations are incorrect - this information is presumably 
available, since the tool was able to omit the erroneous lines.

Additional info:

The problem is going to bite hard as people switch to FC4; most of the documentation out there, including 
some referring to FC4, still describes the old key locations. This is especially true of documentation 
covering key creation. Some protection through the tool is needed.
Comment 1 David Lawrence 2005-09-29 14:37:39 EDT
*** Bug 169565 has been marked as a duplicate of this bug. ***
Comment 2 Phil Knirsch 2006-11-20 07:55:34 EST
Last week i've released system-config-httpd-1.4.1 for FC5, FC6 as testing and
put it in FC-devel as well.

Please give it a shot and let me know if this is working for you now.


Read ya, Phil
Comment 3 petrosyan 2008-02-28 21:24:32 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.
Comment 4 bob mckay 2008-02-29 06:34:40 EST

Note You need to log in before you can comment on or make changes to this bug.